> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/analysis/describepageview.md).

# DescribePageView

## 1. API Description

This interface (DescribePageView) is used to query CDN page views.

## 2. Request Parameters

The following request parameter list includes only those required by the interface:

| Parameter Name | Required | Type   | Description                                                                                                                                                                                      |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| startTime      | Yes      | String | The beginning of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC.                                                 |
| endTime        | Yes      | String | The end of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. Note: The end time must be later than the start time. |
| domain         | Yes      | String | Accelerated domain                                                                                                                                                                               |

## 3. Output Parameters

| Parameter Name | Type                                                                           | Description                                                                         |
| -------------- | ------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------- |
| dataSet        | Array of [VisitData](/api-reference/networking/cdn/datastructure.md#visitdata) | Page views.                                                                         |
| requestId      | String                                                                         | Unique request ID returned with each request. Provide this ID when locating issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query CDN page views.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribePageView
<Common Request Params>

Request:
{
    "startTime": "2022-09-21T00:00:00Z",
    "endTime": "2022-09-22T00:00:00Z",
    "domain": "www.xxx.com"
}

Response:
{
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "response": {
        "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
        "dataSet": [{
            "count": 12,
            "time": "2022-09-21T00:00:00Z",
            "traffic": 2.4
        },
        {
            "count": 6,
            "time": "2022-09-22T00:00:00Z",
            "traffic": 1.67
        }]
    }
}

```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).
